### Hierarchy

- OfferRankManager

### Implemented by

- OfferRankManagerImpl

## Index

### Methods

- create
- delete
- getById
- getByOfferId
- getByOfferIdAndRankId
- update

## Methods

### create

- create(rank: number, rankerId: string, offerId: number): Promise<OfferRank>

- - Defined in manager/OfferRankManager.ts:11

  #### Parameters

  - ##### rank: number

  - ##### rankerId: string

  - ##### offerId: number

  #### Returns Promise<OfferRank>

### delete

- delete(offerRankId: number): Promise<number>

- - Defined in manager/OfferRankManager.ts:15

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<number>

### getById

- getById(offerRankId: number): Promise<OfferRank>

- - Defined in manager/OfferRankManager.ts:9

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<OfferRank>

### getByOfferId

- getByOfferId(offerId: number): Promise<Array<OfferRank>>

- - Defined in manager/OfferRankManager.ts:7

  #### Parameters

  - ##### offerId: number

  #### Returns Promise<Array<OfferRank>>

### getByOfferIdAndRankId

- getByOfferIdAndRankId(offerId: number, rankerId: string): Promise<OfferRank>

- - Defined in manager/OfferRankManager.ts:5

  #### Parameters

  - ##### offerId: number

  - ##### rankerId: string

  #### Returns Promise<OfferRank>

### update

- update(offerRank: OfferRank): Promise<OfferRank>

- - Defined in manager/OfferRankManager.ts:13

  #### Parameters

  - ##### offerRank: OfferRank

  #### Returns Promise<OfferRank>

Generated using TypeDoc